Download it now!
Bug 135488 - Crash double clicking Fonts in the Design sidebar (experimental)
Summary: Crash double clicking Fonts in the Design sidebar (experimental)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0 target:7.0.1
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2020-08-06 09:26 UTC by Telesto
Modified: 2020-08-10 09:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (6.09 KB, text/plain)
2020-08-06 10:26 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-08-06 09:26:10 UTC
Description:
Crash double clicking Fonts in the Design sidebar (experimental)

Steps to Reproduce:
1. Tools -> options -> Experimental features
2. Sidebar -> Design tab
3. Double click a font

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: <buildversion>
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: ru-RU (nl_NL); UI: en-US
Calc: CL
Comment 1 Xisco Faulí 2020-08-06 10:00:30 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=8c0a015f7f4a007b1cb6ac293838d75741f8ae0a

author	Caolán McNamara <caolanm@redhat.com>	2019-12-20 10:59:50 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2019-12-20 16:40:34 +0100
commit	8c0a015f7f4a007b1cb6ac293838d75741f8ae0a (patch)
tree	13a2f03a0c24ca970ca5eb547f68d0d31c6a7aaa
parent	1d273e238d0f1cbb193811d30d2569b0d02d1dc3 (diff)
weld ThemePanel

Bisected with: bibisect-linux64-7.0

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2020-08-06 10:19:18 UTC
it was broken before that too, just in a non-crashing way, not too unexpected for an experimental unfinished abandoned-looking thing I guess
Comment 3 Julien Nabet 2020-08-06 10:26:10 UTC
Created attachment 164000 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 4 Commit Notification 2020-08-06 11:40:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6a32a2dfb45865d5bc8986e753260558a7be6429

tdf#135488 ensure something is selected in experimental theme colorset

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2020-08-06 11:48:16 UTC
fixed in master, backport to 7-0 in gerrit
Comment 6 Xisco Faulí 2020-08-10 09:36:17 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 6ad2f463784a24c566477cdd60ae729651bb8564
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 7 Commit Notification 2020-08-10 09:39:11 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/bfcb7d1ef8185739de3fae4940bf46b3fe0e754b

tdf#135488 ensure something is selected in experimental theme colorset

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.